org.h2gis.functions.spatial.convert

## Class ST_GoogleMapLink

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_GoogleMapLink

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_GoogleMapLink
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

### Nested Class Summary

Nested Classes
`static class` `ST_GoogleMapLink.LayerType` List of supported layers for Google Map

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_GoogleMapLink()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `generateGMLink(com.vividsolutions.jts.geom.Geometry geom)` Generate a Google Map link URL based on the center of the bounding box of the input geometry
`static String` `generateGMLink(com.vividsolutions.jts.geom.Geometry geom, String layerType)` Generate a Google Map link URL based on the center of the bounding box of the input geometry and set the layer type
`static String` `generateGMLink(com.vividsolutions.jts.geom.Geometry geom, String layerType, int zoom)` Generate a Google Map link URL based on the center of the bounding box of the input geometry.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_GoogleMapLink

    public ST_GoogleMapLink()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### generateGMLink

    public static String generateGMLink(com.vividsolutions.jts.geom.Geometry geom)

Generate a Google Map link URL based on the center of the bounding box of the input geometry

Parameters:
  `geom` -
Returns:

#### generateGMLink

    public static String generateGMLink(com.vividsolutions.jts.geom.Geometry geom,
                                        String layerType)

Generate a Google Map link URL based on the center of the bounding box of the input geometry and set the layer type

Parameters:
  `geom` -
  `layerType` -
Returns:

#### generateGMLink

    public static String generateGMLink(com.vividsolutions.jts.geom.Geometry geom,
                                        String layerType,
                                        int zoom)

Generate a Google Map link URL based on the center of the bounding box of the input geometry. Set the layer type and the zoom level.

Parameters:
  `geom` -
  `layerType` -
  `zoom` -
Returns: